org.apache.hadoop.hdfs.server.namenode

## Interface FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    FsImageProto.INodeReferenceSection.INodeReference, FsImageProto.INodeReferenceSection.INodeReference.Builder
  Enclosing class:
    FsImageProto.INodeReferenceSection

      public static interface FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDstSnapshotId()` `optional uint32 dstSnapshotId = 3;`
    `int` | `getLastSnapshotId()` `optional uint32 lastSnapshotId = 4;`
    `com.google.protobuf.ByteString` | `getName()` `optional bytes name = 2;`
    `long` | `getReferredId()` `optional uint64 referredId = 1;`
    `boolean` | `hasDstSnapshotId()` `optional uint32 dstSnapshotId = 3;`
    `boolean` | `hasLastSnapshotId()` `optional uint32 lastSnapshotId = 4;`
    `boolean` | `hasName()` `optional bytes name = 2;`
    `boolean` | `hasReferredId()` `optional uint64 referredId = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasReferredId

          boolean hasReferredId()

      `optional uint64 referredId = 1;`

           id of the referred inode

    - #### getReferredId

          long getReferredId()

      `optional uint64 referredId = 1;`

           id of the referred inode

    - #### hasName

          boolean hasName()

      `optional bytes name = 2;`

           local name recorded in WithName

    - #### getName

          com.google.protobuf.ByteString getName()

      `optional bytes name = 2;`

           local name recorded in WithName

    - #### hasDstSnapshotId

          boolean hasDstSnapshotId()

      `optional uint32 dstSnapshotId = 3;`

           recorded in DstReference

    - #### getDstSnapshotId

          int getDstSnapshotId()

      `optional uint32 dstSnapshotId = 3;`

           recorded in DstReference

    - #### hasLastSnapshotId

          boolean hasLastSnapshotId()

      `optional uint32 lastSnapshotId = 4;`

           recorded in WithName

    - #### getLastSnapshotId

          int getLastSnapshotId()

      `optional uint32 lastSnapshotId = 4;`

           recorded in WithName

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.